Bug 7876 - 'shell link' ignores User option of ~/.ssh/config
: 'shell link' ignores User option of ~/.ssh/config
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-05 19:01 by
Modified: 2011-01-22 15:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-05 19:01:49
if username on local and remote host are different, mc tries to logon with
local  
username, ignoring .ssh/config option User. other options are processed
correctly (e.g.  
real HostName and IdentityFile).  

if username specified (like gns@fly), everything works ok
------- Comment #1 From 2006-07-24 11:28:33 -------
it's up to upstream, methinks
------- Comment #2 From 2008-03-11 15:20:19 -------
Reassign to real maintainer.
------- Comment #3 From 2009-11-03 22:45:57 -------
Is it still reproducible?
------- Comment #4 From 2009-11-03 22:48:14 -------
(В ответ на комментарий №3)
> Is it still reproducible?

yep
------- Comment #5 From 2011-01-22 15:04:45 -------
(В ответ на комментарий №4)
> (В ответ на комментарий №3)
> > Is it still reproducible?
> 
> yep

сейчас не воспроизводится
можно закрывать?
------- Comment #6 From 2011-01-22 15:14:00 -------
Думаю да, раз не вопроизводится. :-)
Я этой фичей mc не пользовался, руки проверить не дошли.
------- Comment #7 From 2011-01-22 15:21:21 -------
mc-4.7.0.10-alt3
работает
------- Comment #8 From 2011-01-22 15:28:53 -------
Лучше сразу FIXED. Слишком много времени прошло. При необходимости можно
переоткрыть.